Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendStory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Story>
it.tdlight.jni.TdApi.SendStory

Enclosing class:
  TdApi

public static final class TdApi.SendStory extends TdApi.Function<TdApi.Story>
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats. Returns a temporary story.

Returns `Story`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`activePeriod`
Period after which the story is moved to archive, in seconds; must be one of 6 * 3600, 12 * 3600, 86400, or 2 * 86400 for Telegram Premium users, and 86400 otherwise.
`TdApi.InputStoryAreas`
`areas`
Clickable rectangle areas to be shown on the story media; pass null if none.
`TdApi.FormattedText`
`caption`
Story caption; pass null to use an empty caption; 0-getOption("story_caption_length_max") characters.
`long`
`chatId`
Identifier of the chat that will post the story.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputStoryContent`
`content`
Content of the story.
`TdApi.StoryFullId`
`fromStoryFullId`
Full identifier of the original story, which content was used to create the story.
`boolean`
`isPinned`
Pass true to keep the story accessible after expiration.
`TdApi.StoryPrivacySettings`
`privacySettings`
The privacy settings for the story; ignored for stories sent to supergroup and channel chats.
`boolean`
`protectContent`
Pass true if the content of the story must be protected from forwarding and screenshotting.

## Constructor Summary

Constructors
Constructor
Description
`SendStory()`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.
`SendStory(long chatId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption, TdApi.StoryPrivacySettings privacySettings, int activePeriod, TdApi.StoryFullId fromStoryFullId, boolean isPinned, boolean protectContent)`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.
`SendStory(DataInput input)`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat that will post the story.

### content

public TdApi.InputStoryContent content
Content of the story.

### areas

public TdApi.InputStoryAreas areas
Clickable rectangle areas to be shown on the story media; pass null if none.

### caption

public TdApi.FormattedText caption
Story caption; pass null to use an empty caption; 0-getOption("story_caption_length_max") characters.

### privacySettings

public TdApi.StoryPrivacySettings privacySettings
The privacy settings for the story; ignored for stories sent to supergroup and channel chats.

### activePeriod

public int activePeriod
Period after which the story is moved to archive, in seconds; must be one of 6 * 3600, 12 * 3600, 86400, or 2 * 86400 for Telegram Premium users, and 86400 otherwise.

### fromStoryFullId

public TdApi.StoryFullId fromStoryFullId
Full identifier of the original story, which content was used to create the story.

### isPinned

public boolean isPinned
Pass true to keep the story accessible after expiration.

### protectContent

public boolean protectContent
Pass true if the content of the story must be protected from forwarding and screenshotting.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendStory

public SendStory()
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats. Returns a temporary story.

Returns `Story`

### SendStory

public SendStory(long chatId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption, TdApi.StoryPrivacySettings privacySettings, int activePeriod, TdApi.StoryFullId fromStoryFullId, boolean isPinned, boolean protectContent)
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats. Returns a temporary story.

Returns `Story`

Parameters:
  `chatId` - Identifier of the chat that will post the story.
  `content` - Content of the story.
  `areas` - Clickable rectangle areas to be shown on the story media; pass null if none.
  `caption` - Story caption; pass null to use an empty caption; 0-getOption("story_caption_length_max") characters.
  `privacySettings` - The privacy settings for the story; ignored for stories sent to supergroup and channel chats.
  `activePeriod` - Period after which the story is moved to archive, in seconds; must be one of 6 * 3600, 12 * 3600, 86400, or 2 * 86400 for Telegram Premium users, and 86400 otherwise.
  `fromStoryFullId` - Full identifier of the original story, which content was used to create the story.
  `isPinned` - Pass true to keep the story accessible after expiration.
  `protectContent` - Pass true if the content of the story must be protected from forwarding and screenshotting.

  Returns `Story`

### SendStory

public SendStory(DataInput input) throws IOException
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats. Returns a temporary story.

Returns `Story`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`